## Food Recipe MERN Stack Project
This project is a web application for  food recipes steps, ingredient and search  with the recipe Id using the MERN (mySql, Express.js, React.js, and Node.js) stack.


---
### Feature
- User authentication and authorization using JWT
- Home page displays food with creator name, description and image
- Recipe list can be searched using recipe Id
- Food detail page shows creator name, description, ingredient amount, steps and image

---
### Getting Started
1. Clone the repository to your local machine
  git clone https://github.com/LalitAswal/food_recipe_website.git
2.  the required packages
  `npm install`
. Start the application `npm start`
### `npm start`
 `client`  `React`\
Runs the app in the development mode.\
Open [http://localhost:3000](http://localhost:3000) to view it in your browser.


 `server`  `node`\
Runs the app in the development mode.\
Open [http://localhost:4000](http://localhost:4000) to view it in your browser.

### Built With
- MySQL
- Express.js
- React.js
- Node.js
